# SU.Entity.GetEntitiesInArea

## SU.Entity.GetEntitiesInArea(playerId, entityType, x, y, radius)

Gibt die Entity-Ids der Entitäten im gegebenen Bereich zurück.

#### Parameter

* `playerId`: ID des Spielers (1-8), Index 0 ungültig, -1 wenn keine Spieler gefiltert werden sollen
* `entityType`: [SU.EntityTypes](/s4-lua-api-de/su-api-enums/su.entitytypes.md) , -1 wenn keine Entity-Typen gefiltert werden sollen
* `x`: x-Koordinate des Bereichs
* `y`: y-Koordinate des Bereichs
* `radius`: Radius des Bereichs

#### Rückgabewert

* 1\. `lua-table` (Entity-IDs): Eine Lua-Tabelle der gefundenen Entity-IDs.
* 2\. `number` (Anzahl): Die Gesamtzahl der gefundenen Entitäten.
* **WICHTIG**: In Lua müssen **ALLE Rückgabewerte** explizit **Variablen zugewiesen werden**. Wird nur ein Wert (oder gar keiner) entgegengenommen, führt dies **beim Verlassen** der Karte oft zum **Absturz des Spiels**. Dies gilt für alle Funktionen.

#### Beispiel

<pre class="language-lua"><code class="lang-lua">local entities, numEntities = SU.Entity.GetEntitiesInArea(playerId, entityType, x, y, radius)

local entities, numEntities = SU.Entity.GetEntitiesInArea(-1, -1, 115, 70, 10)
<strong>-- Alle Entitäten bei 115/70 im Radius von 10
</strong>if numEntities > 0 then
    dbg.stm(numEntities) -- Anzahl der Entitäten
    dbg.stm(entities[1]) -- Erster Eintrag der Id Liste
end
</code></pre>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.settlers-united.com/s4-lua-api-de/su-library-functions/su.entity/su.entity.getentitiesinarea.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
